#ifndef GLOBAL_H
#define GLOBAL_H

#include <QString>
#include <QTime>
#include <QDebug>

#define TCP_READ_TIMEOUT 1000

static QString hashFilename = "hash.xml";
static QString settingsName = "settings.xml";
static QString tempName = "temp.xml";
static QString authTempName = "authData.xml";

enum PacketType{
    TYPE_NONE = 0,
    TYPE_MSG = 1,
    TYPE_FILE = 2,
    TYPE_COMMAND = 3,
    TYPE_FOLDER = 4,
    TYPE_DELETE = 5,
    TYPE_FINISH = 6,
    TYPE_NEEDUPDATE = 7,
    TYPE_XMLANSWER = 8
};

class Tools {
public:

    static void PrintTime();
    static QString GetTime();
    static QString CreateLocalPath(QString path);
    static QString CreateFullPath(QString path);
};

#endif // GLOBAL_H
